Summary: 	A Universal Instant Messaging Client 
Name: 		ayttm
Version: 	0.6.3
Release:	1
Group: 		Applications/Internet
License: 	GPL
URL: 		http://ayttm.sourceforge.net
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires: gtk2 >= 2.12.0
Requires: glib2 >= 2.0.0
Requires: gdb

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: flex
BuildRequires: bison
BuildRequires: libtool-ltdl
BuildRequires: libtool-ltdl-devel
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: libyahoo2 >= 1.0.0


# If you want stripped RPM with no crash dialog use
# --define "nodebug 1" in rpmbuild commandline
%if "%{nodebug}" != "1"
%define nodebug 0
%endif

%description
Ayttm is designed to become a Universal Instant Messaging client, seamlessly
integrating all existing Instant Messaging clients and providing a single
consistant user interface. Currently, Ayttm supports sending and receiving
messages through AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%if "%{nodebug}" == "0"

%define optflags -g

%ifnarch x86_64 # x86_64 does not have brp-compress
%define __spec_install_post %{_libdir}/rpm/brp-compress
%endif

%endif

%define debug_package %{nil}

%prep
%setup 

%build
%if "%{nodebug}" == "0"
%configure --enable-smtp --enable-jasper-filter --sysconfdir=/etc
%else
%configure --disable-crash-dialog --enable-smtp --enable-jasper-filter --sysconfdir=/etc
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Install documentation.
%doc COPYING AUTHORS README ChangeLog
# Install man page.
%{_mandir}/man*/*
# Icons and sounds
%{_datadir}/pixmaps/*.png
%{_datadir}/ayttm/sounds/*
%{_datadir}/ayttm/smileys/*
# Red Hat menu (doesn't do any damage on other distros)
%{_datadir}/gnome/apps/Internet/ayttm.desktop
%{_datadir}/applnk/Internet/ayttm.desktop
# Install the modules
%{_libdir}/ayttm/*.la  
%{_libdir}/ayttm/*.so 
# Install translations
%{_datadir}/locale/*/LC_MESSAGES/ayttm.mo
# the config file
%config(noreplace) /etc/ayttmrc
# Lastly, the binary itself
%{_bindir}/ayttm_streamer_wrapper
%{_bindir}/ayttm
%exclude %{_libdir}/ayttm/*.a


%changelog
* Wed Jun 2 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- a0eab2b090d5d3d5073b1c0e9bf1995110522a2f
 Removed libyahoo2 source tree
 The source tree interferes with the build so it is best that we get
rid of it.

* Wed Jun 2 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- 3b35228b8a139e3d033f8eacc607f32220f0b932
 - Add a check for libyahoo2 in configure - Remove libyahoo2 Makefile target from configure
 
* Sat May 29 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- dbb61b7a2d9240812e56da9901a7b19d1c31b2c3
 libyahoo2 is now a dependency
 
* Sat May 29 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- bc65fb9885c3cee2d47dee95364c7b7e425de74d
 Get rid of the libyahoo2 copy we have locally and dynamically link against the library instead.
 Got rid of utility functions that were being used from yahoo_util.h
since they're not exported by libyahoo2. And for good reason too since
they are umm, internal.

* Mon Apr 26 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- 0956c957d5f477cdd78b17191555b56e6b25488f
 Don't crash if enchant does not find the dictionary for your language
 
* Fri Apr 23 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- ac56243488e9c1496bba500e47e1b922252b599c
 Cleaned up the dynamic library loading stuff a bit
 Collected all the preprocessor stuff into the header file to make
things a little cleaner as well as make it available to other parts of
the code if necessary.

* Thu Apr 22 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- 838c9abc44d8c8923df3114c638214a4545558f2
 Fix link order for ssl and libproxy.a
 
* Tue Mar 23 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- ff99f49dd8b749331fb527df92fd2b3483637375
 Eliminate PATH_MAX usage
 PATH_MAX is not defined on GNU Hurd and they have a good reason for
it:

http://www.gnu.org/software/hurd/community/gsoc/project_ideas/maxpath.html

To summarize the limits are all different and very vague, with most
implementations choosind to set a limit on path components rather than
the entire path. So avoid it and use your own logic.

* Fri Feb 26 2010 Siddhesh Poyarekar <siddheshp@users.sourceforge.net>
- 36c53ce5baef17e7dae9a7b8c5be7f96fa616633
 Don't crash if you don't find a local account for the chat window
 

